package com.sf.day08;

/**
 * 继承 :  一定是发生在两个类之间的   关键字是extends
 */
public class Student extends Person{

    private Integer stuNo;

    public Student() {
    }

    public Student(String name, Integer age, Double weight, Double height) {
        super(name, age, weight, height);
    }

    public Student(Integer stuNo) {
        this.stuNo = stuNo;
    }

    public Integer getStuNo() {
        return stuNo;
    }

    public void setStuNo(Integer stuNo) {
        this.stuNo = stuNo;
    }


    @Override
    public String toString() {
        return "Student{" +
                "stuNo=" + stuNo +
                '}';
    }
}
